Skip to main content
`Ctrl`+`K`

# KSPGetApplicationContext

Gets the user-defined context for the linear solver set with `KSPSetApplicationContext()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGetApplicationContext(KSP ksp, PetscCtxRt ctx)

Not Collective

## Input Parameter

- ksp - `KSP` context

## Output Parameter

- ctx - a pointer to the application context

## Fortran Notes

This only works when the context is a Fortran derived type or a `PetscObject`. Define `ctx` with

      type(tUsertype), pointer :: ctx

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetApplicationContext()`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages